*** a/src/backend/utils/adt/pgstatfuncs.c
--- b/src/backend/utils/adt/pgstatfuncs.c
***************
*** 710,716 **** pg_stat_get_activity(PG_FUNCTION_ARGS)
  			/* A zeroed client addr means we don't know */
  			memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  			if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 					   sizeof(zero_clientaddr) == 0))
  			{
  				nulls[11] = true;
  				nulls[12] = true;
--- 710,716 ----
  			/* A zeroed client addr means we don't know */
  			memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  			if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 					   sizeof(zero_clientaddr)) == 0)
  			{
  				nulls[11] = true;
  				nulls[12] = true;
***************
*** 974,980 **** pg_stat_get_backend_client_addr(PG_FUNCTION_ARGS)
  	/* A zeroed client addr means we don't know */
  	memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  	if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 			   sizeof(zero_clientaddr) == 0))
  		PG_RETURN_NULL();
  
  	switch (beentry->st_clientaddr.addr.ss_family)
--- 974,980 ----
  	/* A zeroed client addr means we don't know */
  	memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  	if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 			   sizeof(zero_clientaddr)) == 0)
  		PG_RETURN_NULL();
  
  	switch (beentry->st_clientaddr.addr.ss_family)
***************
*** 1021,1027 **** pg_stat_get_backend_client_port(PG_FUNCTION_ARGS)
  	/* A zeroed client addr means we don't know */
  	memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  	if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 			   sizeof(zero_clientaddr) == 0))
  		PG_RETURN_NULL();
  
  	switch (beentry->st_clientaddr.addr.ss_family)
--- 1021,1027 ----
  	/* A zeroed client addr means we don't know */
  	memset(&zero_clientaddr, 0, sizeof(zero_clientaddr));
  	if (memcmp(&(beentry->st_clientaddr), &zero_clientaddr,
! 			   sizeof(zero_clientaddr)) == 0)
  		PG_RETURN_NULL();
  
  	switch (beentry->st_clientaddr.addr.ss_family)
